Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.services
[Groovy] Class ServiceBeanAliasPostProcessor

    java.lang.Object
      org.codehaus.groovy.grails.plugins.services.ServiceBeanAliasPostProcessor

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanFactoryPostProcessor

    @groovy.transform.CompileStatic
    class ServiceBeanAliasPostProcessor

Registers bean aliases for service beans provided by plugins. If a plugin named ReportingPlugin provides a service artifact named PrintingService, the corresponding bean name will be reportingPrintingService. This post processor will create a printingService alias which points to the reportingPrintingService bean as long as there is not another bean in the context named printingService.

Authors:
  Jeff Scott Brown

Since:
  2.3

Method Summary
`void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### postProcessBeanFactory

    @java.lang.Override
    void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)

Groovy Documentation